Name:             gerbv
Version:          2.0.0
Release:          1%{?dist}
Summary:          Gerber file viewer from the gEDA toolkit

Group:            Applications/Engineering
License:          GPLv2
URL:              http://gerbv.sourceforge.net/

Source:           http://downloads.sourceforge.net/gerbv/%{name}-%{version}.tar.gz

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    gtk2-devel, libpng-devel, desktop-file-utils, automake


%description
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files
are generated from PCB CAD system and sent to PCB manufacturers
as basis for the manufacturing process. The standard supported
by gerbv is RS-274X.

gerbv also supports drill files. The format supported are known
under names as NC-drill or Excellon. The format is a bit undefined
and different EDA-vendors implement it different.

gerbv is listed among Fedora Electronic Lab (FEL) packages.

%prep
%setup -q

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake} --add-missing --copy


# default measurement units set to millimeters
%configure             \
   --enable-exportpng  \
   --enable-unit-mm    \
   --enable-gtk2

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}


desktop-file-install --vendor fedora           \
    --remove-category Education                \
    --add-category Engineering                 \
    --add-category Science                     \
    --dir %{buildroot}%{_datadir}/applications \
    desktop/%{name}.desktop


%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
%{__cp} -p desktop/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/


%{__rm} -f  {doc,example}/Makefile*


pushd example/
for dir in * ; do
  [ -d $dir ] && %{__rm} -f $dir/Makefile*
done
popd


pushd doc/
for dir in * ; do
  [ -d $dir ] && %{__rm} -f $dir/Makefile*
done
popd

#Fixing the end-of-line encodings
set +x
for f in `find example/ -name \*.* | sort` doc/eagle/eagle2exc.txt ; do
   echo -n -e "... Fixing the end-of-line encodings of $f  \t"
   sed -i.bak -e 's|\r||g' $f
   touch -r $f.bak $f
   %{__rm} -f $f.bak
   echo "done"
done
set -x


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :



%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc example/ doc/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/gerbv.*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop


%Changelog
* Tue Feb 01 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2.0.0-1
- New upstream release

* Tue Dec 04 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.3-1
- new upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.2-3
- mass rebuild for fedora 8 - ppc

* Thu Jun 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.2-2
- remove gdk-pixbuf-devel as BR

* Thu Sep 14 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.2-1
- Initial package for Fedora Core
